#ifndef LOADINGINDICATOR_H
#define LOADINGINDICATOR_H

#include <QFrame>
#include <QLabel>
#include <QMovie>
#include <QHBoxLayout>

class LoadingIndicator : public QFrame
{
    Q_OBJECT
public:
    explicit LoadingIndicator(QWidget *parent = nullptr);
    void setMessage(const QString &msg);
	void setPause(bool paused);

signals:

private:
    QHBoxLayout layout;
    QLabel lblMessage;
    QLabel lblMovie;
    QMovie movie;
};

#endif // LOADINGINDICATOR_H
